### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/analyticdividendeuropeanengine.hpp File Reference

Analytic discrete-dividend European engine. More...

`#include <ql/instruments/dividendvanillaoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
Include dependency graph for analyticdividendeuropeanengine.hpp:

## Classes

class | AnalyticDividendEuropeanEngine
| Analytic pricing engine for European options with discrete dividends. More...

## Detailed Description

Analytic discrete-dividend European engine.